import { x as l, F as m } from "./Xhttp-5e4b6105.mjs";
import { c as _, a as k } from "./_commonjsHelpers-c6465c1e.mjs";
import { message as U } from "ant-design-vue";
var $ = { exports: {} };
(function(n, r) {
  (function(i, u) {
    u();
  })(_, function() {
    function i(o, a) {
      return typeof a > "u" ? a = { autoBom: !1 } : typeof a != "object" && (console.warn("Deprecated: Expected third argument to be a object"), a = { autoBom: !a }), a.autoBom && /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(o.type) ? new Blob(["\uFEFF", o], { type: o.type }) : o;
    }
    function u(o, a, p) {
      var s = new XMLHttpRequest();
      s.open("GET", o), s.responseType = "blob", s.onload = function() {
        B(s.response, a, p);
      }, s.onerror = function() {
        console.error("could not download file");
      }, s.send();
    }
    function v(o) {
      var a = new XMLHttpRequest();
      a.open("HEAD", o, !1);
      try {
        a.send();
      } catch {
      }
      return 200 <= a.status && 299 >= a.status;
    }
    function d(o) {
      try {
        o.dispatchEvent(new MouseEvent("click"));
      } catch {
        var a = document.createEvent("MouseEvents");
        a.initMouseEvent("click", !0, !0, window, 0, 0, 0, 80, 20, !1, !1, !1, !1, 0, null), o.dispatchEvent(a);
      }
    }
    var g = typeof window == "object" && window.window === window ? window : typeof self == "object" && self.self === self ? self : typeof _ == "object" && _.global === _ ? _ : void 0, E = g.navigator && /Macintosh/.test(navigator.userAgent) && /AppleWebKit/.test(navigator.userAgent) && !/Safari/.test(navigator.userAgent), B = g.saveAs || (typeof window != "object" || window !== g ? function() {
    } : "download" in HTMLAnchorElement.prototype && !E ? function(o, a, p) {
      var s = g.URL || g.webkitURL, h = document.createElement("a");
      a = a || o.name || "download", h.download = a, h.rel = "noopener", typeof o == "string" ? (h.href = o, h.origin === location.origin ? d(h) : v(h.href) ? u(o, a, p) : d(h, h.target = "_blank")) : (h.href = s.createObjectURL(o), setTimeout(function() {
        s.revokeObjectURL(h.href);
      }, 4e4), setTimeout(function() {
        d(h);
      }, 0));
    } : "msSaveOrOpenBlob" in navigator ? function(o, a, p) {
      if (a = a || o.name || "download", typeof o != "string")
        navigator.msSaveOrOpenBlob(i(o, p), a);
      else if (v(o))
        u(o, a, p);
      else {
        var s = document.createElement("a");
        s.href = o, s.target = "_blank", setTimeout(function() {
          d(s);
        });
      }
    } : function(o, a, p, s) {
      if (s = s || open("", "_blank"), s && (s.document.title = s.document.body.innerText = "downloading..."), typeof o == "string")
        return u(o, a, p);
      var h = o.type === "application/octet-stream", A = /constructor/i.test(g.HTMLElement) || g.safari, D = /CriOS\/[\d]+/.test(navigator.userAgent);
      if ((D || h && A || E) && typeof FileReader < "u") {
        var S = new FileReader();
        S.onloadend = function() {
          var e = S.result;
          e = D ? e : e.replace(/^data:[^;]*;/, "data:attachment/file;"), s ? s.location.href = e : location = e, s = null;
        }, S.readAsDataURL(o);
      } else {
        var R = g.URL || g.webkitURL, t = R.createObjectURL(o);
        s ? s.location = t : location.href = t, s = null, setTimeout(function() {
          R.revokeObjectURL(t);
        }, 4e4);
      }
    });
    g.saveAs = B.saveAs = B, n.exports = B;
  });
})($);
var H = $.exports;
const J = {
  /**
   * 表单数据查询接口
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async searchFormData(n, r) {
    return await l.post(m.SEARCH(n), r);
  },
  /**
   * 表单数据添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async addFormData(n, r) {
    return await l.post(m.ADD(n), r);
  },
  /**
   * 表单数据批量添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async batchAddFormData(n, r) {
    return await l.post(m.BATCH(n), r);
  },
  /**
   * 关联表单数据查询
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async joinSearchFormData(n, r) {
    return await l.post(m.JOIN_SEARCH(n), r);
  },
  /**
   * 表单数据查询单条
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @param {*} resolveObj 是否翻译字典和显示子表
   * @returns
   */
  async searchFormDataById(n, r, i) {
    const u = (i == null ? void 0 : i.resolveDic) || !1, v = (i == null ? void 0 : i.resolveSubItems) || !1;
    return await l.get(m.SEARCH_BY_ID(n, r, u, v));
  },
  /**
   * 表单数据删除
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async deleteFormDataById(n, r) {
    return await l.delete(m.DELETE_BY_ID(n, r));
  },
  /**
   * 表单数据批量删除
   * @param {*} formName 表名
   * @param {*} ids 数据id数组
   * @returns
   */
  async bathDeleteFormData(n, r) {
    return await l.delete(m.BATCH(n), {
      data: { dataIds: r }
    });
  },
  /**
   * 表单数据更新接口
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async updateFormData(n, r) {
    return await l.put(m.UPDATE(n), r);
  },
  /**
   * 导入表单数据
   * @param {*} formName 表名
   * @param {*} file 导入文件
   * @returns
   */
  async importFormData(n, r) {
    const i = new FormData();
    return i.append("file", r), await l.post(m.IMPORT(n), i);
  },
  /**
   * 表单数据更新状态接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @param {*} formData 参数
   * @returns
   */
  async updateState(n, r, i) {
    return await l.put(m.UPDATE_STATE(n, r), i);
  },
  /**
   * 表单数据批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async batchUpdateState(n, r) {
    return await l.post(m.BATCH_STATE(n), r);
  },
  /**
   * 表单数据根据过滤条件批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async filterBatchUpdateState(n, r) {
    return await l.post(m.BATCH_STATE_FILTER(n), r);
  },
  /**
   * 表单数据操作日志接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @returns
   */
  async searchOperationLogs(n, r, i) {
    return await l.get(m.SEARCH_STATE(n, r, i));
  },
  /**
   * 表单数据统计
   * @param {*} formName 表名
   * @param {*} data
   * {
    "aggregates": [["农场类型", "count"]],
    "groupFields":["pcode"],
    "filter":["=", "农场类型", "种植"]
    }
   * @returns
   */
  async formDataCount(n, r) {
    return await l.post(m.COUNT(n), r);
  },
  /**
   * 表单数据下载
   * @param {string} name 文件名
   * @param {string} formName 表名称
   * @param {object} data 过滤条件
   */
  async dataDownload(n, r, i = {}) {
    return U.info(`开始下载：${n}`), l.postDownload(`form/${r}/download`, i).then((u) => {
      H.saveAs(u, n);
    });
  },
  /**
   * 导入数据（附带额外信息）
   * @param {string} formName 表名称
   * @param {file} file 上传Excel表格   表头为label   重复label使用spareLabel
   * @param {object} data 自带数据    key值为name
   * @param {array} fieldAssemble  数组 需要拼接参数  多个sourcefields 以delimiter为连接符组装，然后赋值给targetField
   *  示例 {"sourceFields":["field1","field2"],"delimiter":"-","targetField":"field3"}
   */
  async formexImport(n, r, i, u) {
    const v = new FormData();
    return v.append("file", r), i && v.append("data", JSON.stringify(i)), u && v.append("fieldAssemble", JSON.stringify(u)), l.post(`/formex/${n}/import`, v);
  },
  /**
   * 表单word下载
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   * @param {string} name  下载word名称
   */
  async downloadWord(n, r, i) {
    return i || (i = `${n}.docx`), U.info(`开始下载：${i}`), l.getDownload(`/extend/word/${n}/download`, r).then((u) => {
      H.saveAs(u, i);
    });
  },
  /**
   * 表单pdf查看
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   */
  viewPdfUrl(n, r) {
    const { dataId: i, subForms: u } = r;
    let v = `dataId=${i}`;
    return u && (v += `&subForms=${encodeURIComponent(JSON.stringify(u))}`), `/api/misengine/extend/pdf/${n}/download?${v}`;
  }
};
function O(n) {
  throw new Error('Could not dynamically require "' + n + '". Please configure the dynamicRequireTargets or/and ignoreDynamicRequires option of @rollup/plugin-commonjs appropriately for this require call to work.');
}
var F = { exports: {} };
const z = new Proxy({}, {
  get(n, r) {
    throw new Error(`Module "" has been externalized for browser compatibility. Cannot access ".${r}" in client code.  See http://vitejs.dev/guide/troubleshooting.html#module-externalized-for-browser-compatibility for more details.`);
  }
}), M = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: z
}, Symbol.toStringTag, { value: "Module" })), P = /* @__PURE__ */ k(M);
var I;
function N() {
  return I || (I = 1, function(n, r) {
    (function(i, u) {
      n.exports = u();
    })(_, function() {
      var i = i || function(u, v) {
        var d;
        if (typeof window < "u" && window.crypto && (d = window.crypto), typeof self < "u" && self.crypto && (d = self.crypto), typeof globalThis < "u" && globalThis.crypto && (d = globalThis.crypto), !d && typeof window < "u" && window.msCrypto && (d = window.msCrypto), !d && typeof _ < "u" && _.crypto && (d = _.crypto), !d && typeof O == "function")
          try {
            d = P;
          } catch {
          }
        var g = function() {
          if (d) {
            if (typeof d.getRandomValues == "function")
              try {
                return d.getRandomValues(new Uint32Array(1))[0];
              } catch {
              }
            if (typeof d.randomBytes == "function")
              try {
                return d.randomBytes(4).readInt32LE();
              } catch {
              }
          }
          throw new Error("Native crypto module could not be used to get secure random number.");
        }, E = Object.create || function() {
          function t() {
          }
          return function(e) {
            var c;
            return t.prototype = e, c = new t(), t.prototype = null, c;
          };
        }(), B = {}, o = B.lib = {}, a = o.Base = function() {
          return {
            /**
             * Creates a new object that inherits from this object.
             *
             * @param {Object} overrides Properties to copy into the new object.
             *
             * @return {Object} The new object.
             *
             * @static
             *
             * @example
             *
             *     var MyType = CryptoJS.lib.Base.extend({
             *         field: 'value',
             *
             *         method: function () {
             *         }
             *     });
             */
            extend: function(t) {
              var e = E(this);
              return t && e.mixIn(t), (!e.hasOwnProperty("init") || this.init === e.init) && (e.init = function() {
                e.$super.init.apply(this, arguments);
              }), e.init.prototype = e, e.$super = this, e;
            },
            /**
             * Extends this object and runs the init method.
             * Arguments to create() will be passed to init().
             *
             * @return {Object} The new object.
             *
             * @static
             *
             * @example
             *
             *     var instance = MyType.create();
             */
            create: function() {
              var t = this.extend();
              return t.init.apply(t, arguments), t;
            },
            /**
             * Initializes a newly created object.
             * Override this method to add some logic when your objects are created.
             *
             * @example
             *
             *     var MyType = CryptoJS.lib.Base.extend({
             *         init: function () {
             *             // ...
             *         }
             *     });
             */
            init: function() {
            },
            /**
             * Copies properties into this object.
             *
             * @param {Object} properties The properties to mix in.
             *
             * @example
             *
             *     MyType.mixIn({
             *         field: 'value'
             *     });
             */
            mixIn: function(t) {
              for (var e in t)
                t.hasOwnProperty(e) && (this[e] = t[e]);
              t.hasOwnProperty("toString") && (this.toString = t.toString);
            },
            /**
             * Creates a copy of this object.
             *
             * @return {Object} The clone.
             *
             * @example
             *
             *     var clone = instance.clone();
             */
            clone: function() {
              return this.init.prototype.extend(this);
            }
          };
        }(), p = o.WordArray = a.extend({
          /**
           * Initializes a newly created word array.
           *
           * @param {Array} words (Optional) An array of 32-bit words.
           * @param {number} sigBytes (Optional) The number of significant bytes in the words.
           *
           * @example
           *
           *     var wordArray = CryptoJS.lib.WordArray.create();
           *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
           *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
           */
          init: function(t, e) {
            t = this.words = t || [], e != v ? this.sigBytes = e : this.sigBytes = t.length * 4;
          },
          /**
           * Converts this word array to a string.
           *
           * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
           *
           * @return {string} The stringified word array.
           *
           * @example
           *
           *     var string = wordArray + '';
           *     var string = wordArray.toString();
           *     var string = wordArray.toString(CryptoJS.enc.Utf8);
           */
          toString: function(t) {
            return (t || h).stringify(this);
          },
          /**
           * Concatenates a word array to this word array.
           *
           * @param {WordArray} wordArray The word array to append.
           *
           * @return {WordArray} This word array.
           *
           * @example
           *
           *     wordArray1.concat(wordArray2);
           */
          concat: function(t) {
            var e = this.words, c = t.words, f = this.sigBytes, y = t.sigBytes;
            if (this.clamp(), f % 4)
              for (var w = 0; w < y; w++) {
                var T = c[w >>> 2] >>> 24 - w % 4 * 8 & 255;
                e[f + w >>> 2] |= T << 24 - (f + w) % 4 * 8;
              }
            else
              for (var x = 0; x < y; x += 4)
                e[f + x >>> 2] = c[x >>> 2];
            return this.sigBytes += y, this;
          },
          /**
           * Removes insignificant bits.
           *
           * @example
           *
           *     wordArray.clamp();
           */
          clamp: function() {
            var t = this.words, e = this.sigBytes;
            t[e >>> 2] &= 4294967295 << 32 - e % 4 * 8, t.length = u.ceil(e / 4);
          },
          /**
           * Creates a copy of this word array.
           *
           * @return {WordArray} The clone.
           *
           * @example
           *
           *     var clone = wordArray.clone();
           */
          clone: function() {
            var t = a.clone.call(this);
            return t.words = this.words.slice(0), t;
          },
          /**
           * Creates a word array filled with random bytes.
           *
           * @param {number} nBytes The number of random bytes to generate.
           *
           * @return {WordArray} The random word array.
           *
           * @static
           *
           * @example
           *
           *     var wordArray = CryptoJS.lib.WordArray.random(16);
           */
          random: function(t) {
            for (var e = [], c = 0; c < t; c += 4)
              e.push(g());
            return new p.init(e, t);
          }
        }), s = B.enc = {}, h = s.Hex = {
          /**
           * Converts a word array to a hex string.
           *
           * @param {WordArray} wordArray The word array.
           *
           * @return {string} The hex string.
           *
           * @static
           *
           * @example
           *
           *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
           */
          stringify: function(t) {
            for (var e = t.words, c = t.sigBytes, f = [], y = 0; y < c; y++) {
              var w = e[y >>> 2] >>> 24 - y % 4 * 8 & 255;
              f.push((w >>> 4).toString(16)), f.push((w & 15).toString(16));
            }
            return f.join("");
          },
          /**
           * Converts a hex string to a word array.
           *
           * @param {string} hexStr The hex string.
           *
           * @return {WordArray} The word array.
           *
           * @static
           *
           * @example
           *
           *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
           */
          parse: function(t) {
            for (var e = t.length, c = [], f = 0; f < e; f += 2)
              c[f >>> 3] |= parseInt(t.substr(f, 2), 16) << 24 - f % 8 * 4;
            return new p.init(c, e / 2);
          }
        }, A = s.Latin1 = {
          /**
           * Converts a word array to a Latin1 string.
           *
           * @param {WordArray} wordArray The word array.
           *
           * @return {string} The Latin1 string.
           *
           * @static
           *
           * @example
           *
           *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
           */
          stringify: function(t) {
            for (var e = t.words, c = t.sigBytes, f = [], y = 0; y < c; y++) {
              var w = e[y >>> 2] >>> 24 - y % 4 * 8 & 255;
              f.push(String.fromCharCode(w));
            }
            return f.join("");
          },
          /**
           * Converts a Latin1 string to a word array.
           *
           * @param {string} latin1Str The Latin1 string.
           *
           * @return {WordArray} The word array.
           *
           * @static
           *
           * @example
           *
           *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
           */
          parse: function(t) {
            for (var e = t.length, c = [], f = 0; f < e; f++)
              c[f >>> 2] |= (t.charCodeAt(f) & 255) << 24 - f % 4 * 8;
            return new p.init(c, e);
          }
        }, D = s.Utf8 = {
          /**
           * Converts a word array to a UTF-8 string.
           *
           * @param {WordArray} wordArray The word array.
           *
           * @return {string} The UTF-8 string.
           *
           * @static
           *
           * @example
           *
           *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
           */
          stringify: function(t) {
            try {
              return decodeURIComponent(escape(A.stringify(t)));
            } catch {
              throw new Error("Malformed UTF-8 data");
            }
          },
          /**
           * Converts a UTF-8 string to a word array.
           *
           * @param {string} utf8Str The UTF-8 string.
           *
           * @return {WordArray} The word array.
           *
           * @static
           *
           * @example
           *
           *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
           */
          parse: function(t) {
            return A.parse(unescape(encodeURIComponent(t)));
          }
        }, S = o.BufferedBlockAlgorithm = a.extend({
          /**
           * Resets this block algorithm's data buffer to its initial state.
           *
           * @example
           *
           *     bufferedBlockAlgorithm.reset();
           */
          reset: function() {
            this._data = new p.init(), this._nDataBytes = 0;
          },
          /**
           * Adds new data to this block algorithm's buffer.
           *
           * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
           *
           * @example
           *
           *     bufferedBlockAlgorithm._append('data');
           *     bufferedBlockAlgorithm._append(wordArray);
           */
          _append: function(t) {
            typeof t == "string" && (t = D.parse(t)), this._data.concat(t), this._nDataBytes += t.sigBytes;
          },
          /**
           * Processes available data blocks.
           *
           * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
           *
           * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
           *
           * @return {WordArray} The processed data.
           *
           * @example
           *
           *     var processedData = bufferedBlockAlgorithm._process();
           *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
           */
          _process: function(t) {
            var e, c = this._data, f = c.words, y = c.sigBytes, w = this.blockSize, T = w * 4, x = y / T;
            t ? x = u.ceil(x) : x = u.max((x | 0) - this._minBufferSize, 0);
            var b = x * w, L = u.min(b * 4, y);
            if (b) {
              for (var C = 0; C < b; C += w)
                this._doProcessBlock(f, C);
              e = f.splice(0, b), c.sigBytes -= L;
            }
            return new p.init(e, L);
          },
          /**
           * Creates a copy of this object.
           *
           * @return {Object} The clone.
           *
           * @example
           *
           *     var clone = bufferedBlockAlgorithm.clone();
           */
          clone: function() {
            var t = a.clone.call(this);
            return t._data = this._data.clone(), t;
          },
          _minBufferSize: 0
        });
        o.Hasher = S.extend({
          /**
           * Configuration options.
           */
          cfg: a.extend(),
          /**
           * Initializes a newly created hasher.
           *
           * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
           *
           * @example
           *
           *     var hasher = CryptoJS.algo.SHA256.create();
           */
          init: function(t) {
            this.cfg = this.cfg.extend(t), this.reset();
          },
          /**
           * Resets this hasher to its initial state.
           *
           * @example
           *
           *     hasher.reset();
           */
          reset: function() {
            S.reset.call(this), this._doReset();
          },
          /**
           * Updates this hasher with a message.
           *
           * @param {WordArray|string} messageUpdate The message to append.
           *
           * @return {Hasher} This hasher.
           *
           * @example
           *
           *     hasher.update('message');
           *     hasher.update(wordArray);
           */
          update: function(t) {
            return this._append(t), this._process(), this;
          },
          /**
           * Finalizes the hash computation.
           * Note that the finalize operation is effectively a destructive, read-once operation.
           *
           * @param {WordArray|string} messageUpdate (Optional) A final message update.
           *
           * @return {WordArray} The hash.
           *
           * @example
           *
           *     var hash = hasher.finalize();
           *     var hash = hasher.finalize('message');
           *     var hash = hasher.finalize(wordArray);
           */
          finalize: function(t) {
            t && this._append(t);
            var e = this._doFinalize();
            return e;
          },
          blockSize: 16,
          /**
           * Creates a shortcut function to a hasher's object interface.
           *
           * @param {Hasher} hasher The hasher to create a helper for.
           *
           * @return {Function} The shortcut function.
           *
           * @static
           *
           * @example
           *
           *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
           */
          _createHelper: function(t) {
            return function(e, c) {
              return new t.init(c).finalize(e);
            };
          },
          /**
           * Creates a shortcut function to the HMAC's object interface.
           *
           * @param {Hasher} hasher The hasher to use in this HMAC helper.
           *
           * @return {Function} The shortcut function.
           *
           * @static
           *
           * @example
           *
           *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
           */
          _createHmacHelper: function(t) {
            return function(e, c) {
              return new R.HMAC.init(t, c).finalize(e);
            };
          }
        });
        var R = B.algo = {};
        return B;
      }(Math);
      return i;
    });
  }(F)), F.exports;
}
export {
  H as F,
  J as f,
  N as r
};
