import { defineComponent as O, mergeModels as M, useModel as P, ref as w, onMounted as W, resolveComponent as D, openBlock as T, createElementBlock as S, createElementVNode as E, createVNode as m, unref as C, createBlock as G, withCtx as F, createTextVNode as h } from "vue";
import { message as b } from "ant-design-vue";
import { c as B } from "./index.browser-baad61a1.mjs";
import { cloneDeep as I } from "lodash";
import { f as J } from "./index-df5c6fc3.mjs";
import { _ as Y } from "./_commonjsHelpers-c6465c1e.mjs";
let U = !1, x = "", R = [], q = [];
const A = () => B("abcdefghijklmnopqrstuvwxyz", 1)() + B("abcdefghijklmnopqrstuvwxyz1234567890", 9)(), N = {
  LonLatField: [
    "lonField",
    "latField",
    "pcodeField",
    "ccodeField",
    "fcodeField",
    "pnameField",
    "cnameField",
    "fnameField",
    "addressField"
  ],
  NumberWithUnitField: ["valueField", "unitField"],
  DateRangeField: ["startField", "endField"],
  AdminField: ["field", "subField"]
};
function $(e, t, r) {
  var a;
  if (Array.isArray(e))
    e.forEach((o) => {
      $(o, t, r);
    });
  else {
    const o = (a = e == null ? void 0 : e.options) == null ? void 0 : a.children;
    Array.isArray(o) ? o.forEach((l) => {
      r && l.children ? l.children.forEach((s) => {
        L(s, t, r);
      }) : L(l, t, r);
    }) : L(e, t, r);
  }
}
function L(e, t, r) {
  var a, o, l;
  if ((a = e == null ? void 0 : e.type) != null && a.endsWith("Field")) {
    const s = z(e, t);
    r ? s.forEach(({ field: n, label: d }) => {
      R.includes(n) || q.push(d);
    }) : (Q(s, t), X(s, t), U && ee(s, t)), K(s, t);
  } else
    (o = e == null ? void 0 : e.type) != null && o.endsWith("SubForm") ? H(e, t, r) : (l = e == null ? void 0 : e.options) != null && l.children && $(e, t, r);
}
function H(e, t, r) {
  const { options: a } = e;
  a.field || (a.field = A());
  const o = [
    {
      name: a.field,
      formUid: a.formUid,
      depends: a.depends,
      required: a.required,
      label: a.label,
      sorted_field: a.sorted_field
    }
  ];
  K(o, t, !0), r || Z(o, t);
}
function z(e, t, r = !1) {
  const a = [], { type: o } = e, l = r ? e : e.options, s = I(l);
  return N[o] && !r ? N[o].forEach((n) => {
    var d;
    if (typeof l[n] == "object") {
      (d = l[n]) != null && d.field || (l[n].field = A());
      const u = I(l[n]);
      u.depends = l.depends, a.push(...z(u, t, !0));
    }
  }) : (s.name = l.field = l.field || A(), a.push(s)), a;
}
function Q(e, t) {
  e.forEach((r) => {
    const { label: a, type: o, name: l, unique: s, spareLabel: n } = r, d = t.fields.findIndex((p) => p.name == l), u = {
      //如果有依赖则为空
      // required: !depends && required,
      required: !1,
      unique: s,
      label: a,
      // 设置的导入导出Excel label
      spareLabel: n,
      type: o,
      name: l
    };
    d == -1 ? t.fields.push(u) : t.fields.splice(d, 1, u);
  });
}
function X(e, t) {
  e.forEach((r) => {
    r.dictRef && (t.dictRefs[r.name] = r.dictRef);
  });
}
function K(e, t, r = !1) {
  e.forEach((o) => {
    a(o, t, r);
  });
  function a(o, l, s) {
    const { name: n, depends: d, required: u, label: p } = o, v = s ? "subform" : "field", _ = s ? "subformValidators" : "fieldValidators", c = l.validators[_] || [];
    if (!u)
      l.validators[_] = c.filter((i) => Array.isArray(i.validators) ? i[v] === n ? (i.validators = i.validators.filter(
        ({ type: f }) => f !== "required"
      ), i.validators.length != 0) : !0 : !1);
    else {
      const i = c.find((f) => f[v] === n);
      if (i)
        d && (i.depends = d), p && (i.label = p), Array.isArray(i.validators) ? i.validators.some((k) => k.type === "required") || i.validators.push({ type: "required" }) : i.validators = [{ type: "required" }];
      else {
        const f = { label: p };
        f[v] = n, (d || u) && (d && (f.depends = d), u && (f.validators = [{ type: "required" }]), c.push(f));
      }
    }
  }
}
function Z(e, t) {
  e.forEach(({ formUid: r, sorted_field: a }) => {
    const o = {
      name: r,
      fk: "__main_form_record_uid_field__"
    };
    a && (o.sorted_field = a), t.subTables.push(o);
  });
}
function j(e, t) {
  if (t) {
    e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), delete e.validators.subFormValidators;
    return;
  }
  Array.isArray(e.fields) || (e.fields = []), e.subTables = [], e.dictRefs = {}, e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), e.table || (e.table = {}), Array.isArray(e.table.tableFields) || (e.table.tableFields = []), delete e.validators.subFormValidators, U = e.table.tableFields.length == 0;
}
function ee(e, t) {
  e.forEach((r) => {
    const { label: a, name: o, type: l } = r;
    t.table.tableFields.push({
      label: a,
      name: o,
      type: l,
      width: 100
    });
  });
}
function g(e, t) {
  if (t || te(e), !e.layout)
    return e;
  j(e, t);
  let r = e.layout;
  return e.layout.children && (r = e.layout.children), $(r, e, t), t || (x == "web" && (e.profile_web = {
    layout: e.layout,
    validators: e.validators
  }), e.profile_mobile && (R = e.fields.map((a) => a.name), g(e.profile_mobile, "app"), q.length > 0 && b.info(
    `app配置字段中 ${q.join(",")} 无法在数据库字段中找到，请修改配置！`
  ), R = [], q = [], x = "")), e;
}
function te(e) {
  e.profile_web && e.profile_mobile || e.profile_web ? (e.layout = e.profile_web.layout, e.validators = e.profile_web.validators, x = "web") : x = "";
}
const ie = { class: "max" }, ae = { class: "content-box" }, re = {
  key: 1,
  class: "form-box"
}, le = { class: "footer-box" }, oe = /* @__PURE__ */ O({
  name: "FormDesignEditor",
  __name: "index",
  props: /* @__PURE__ */ M({
    type: { type: String, required: !0 },
    data: { type: null, required: !0 }
  }, {
    open: {},
    openModifiers: {}
  }),
  emits: /* @__PURE__ */ M(["getList"], ["update:open"]),
  setup(e, { emit: t }) {
    const r = P(e, "open"), a = e, o = t, l = w(), s = w(), n = w(!1);
    let d = "";
    const u = w({
      formDef: {}
    });
    W(() => {
      a.type === "add" ? (l.value.setValue({
        name: "",
        title: "",
        description: "",
        dicts: [],
        layout: [],
        fields: [],
        table: {
          searchItems: [
            {
              operator: "=",
              renderer: {
                type: "TextField",
                options: {
                  field: "test",
                  label: "搜索条件"
                }
              }
            }
          ],
          tableFields: [
            {
              label: "_id",
              name: "_id"
            }
          ]
        }
      }), d = "") : (l.value.setValue(a.data), d = a.data.name);
    });
    async function p() {
      const c = l.value.getValue();
      if (!c.state) {
        b.warning("请输入正确的json格式表单！");
        return;
      }
      const i = g(c.data);
      if (!i.name) {
        b.warning("表单name不能为空！");
        return;
      }
      try {
        d ? await J.updateFormDesign(d, i) : await J.addFormDesign(i), b.success(`${d ? "编辑" : "添加"}成功！`), r.value = !1, o("getList");
      } catch (f) {
        b.error(f.msg);
      }
    }
    function v(c) {
      if (!c) {
        const i = l.value.getValue();
        if (!i.state) {
          b.warning("请输入正确的json格式表单！");
          return;
        }
        u.value.formDef = g(i.data);
      }
      n.value = !c;
    }
    function _(c = !1) {
      const i = l.value.getValue();
      if (!i.state) {
        b.warning("请输入正确的json格式表单！");
        return;
      }
      c ? l.value.setValue(g(i.data)) : s.value.setValue(g(i.data));
    }
    return (c, i) => {
      const f = D("AceEditor"), k = D("GTForm"), y = D("a-button");
      return T(), S("div", ie, [
        E("div", ae, [
          m(f, {
            class: "ace-editor",
            onBindKey: i[0] || (i[0] = (V) => _()),
            ref_key: "editor1",
            ref: l
          }, null, 512),
          C(n) ? (T(), S("div", re, [
            m(k, { options: C(u) }, null, 8, ["options"])
          ])) : (T(), G(f, {
            key: 0,
            class: "ace-editor",
            ref_key: "editor2",
            ref: s,
            theme: "monokai",
            readonly: ""
          }, null, 512))
        ]),
        E("div", le, [
          E("div", null, [
            m(y, {
              type: "primary",
              onClick: i[1] || (i[1] = (V) => _())
            }, {
              default: F(() => [
                h("点击验证")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: i[2] || (i[2] = (V) => v(C(n)))
            }, {
              default: F(() => [
                h("切换视图")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: i[3] || (i[3] = (V) => _(!0))
            }, {
              default: F(() => [
                h("格式化")
              ]),
              _: 1
            })
          ]),
          E("div", null, [
            m(y, {
              onClick: i[4] || (i[4] = (V) => r.value = !1)
            }, {
              default: F(() => [
                h("取消")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: p
            }, {
              default: F(() => [
                h("确定")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
});
const de = /* @__PURE__ */ Y(oe, [["__scopeId", "data-v-d6c0e998"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormDesignEditor/index.vue"]]), me = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: de
}, Symbol.toStringTag, { value: "Module" }));
export {
  de as F,
  me as _
};
